Multi-Tenant
Create Multi-Tenant Session
Returns a session URL for multi-tenant operations
POST
/
session
/
multi-tenant
Create a multi-tenant session
curl --request POST \
--url https://api.liquidindex.dev/session/multi-tenant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"services": [],
"customer_id": "<string>",
"success_url": "<string>",
"cancel_url": "<string>"
}
'import requests
url = "https://api.liquidindex.dev/session/multi-tenant"
payload = {
"project_id": "<string>",
"services": [],
"customer_id": "<string>",
"success_url": "<string>",
"cancel_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
services: [],
customer_id: '<string>',
success_url: '<string>',
cancel_url: '<string>'
})
};
fetch('https://api.liquidindex.dev/session/multi-tenant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The Project ID to query from
The services to be used in the session
Available options:
all, file_upload, google_drive The Customer ID to query from
The URL to redirect to after the session is complete
The URL to redirect to if the session is cancelled
Response
Successful query response
The URL to redirect to after the session is complete
⌘I
Create a multi-tenant session
